
#include<rfc.h>

#include"resource.h"


class ExampleWindow : public KHotPluggedDialog, public KButtonListener
{
	KButton btn1,btn2;
	KTextBox txt;
	KComboBox combo;
	KIcon icon;
public:

	void OnHotPlug()
	{
		// you must call this method to update width, height etc...
		KHotPluggedDialog::OnHotPlug();

		btn1.HotPlugInto(GetDlgItem(compHWND,IDOK));
		btn1.SetListener(this);

		btn2.HotPlugInto(GetDlgItem(compHWND,IDCANCEL));
		btn2.SetListener(this);

		txt.HotPlugInto(GetDlgItem(compHWND,IDC_EDIT1));
		
		combo.HotPlugInto(GetDlgItem(compHWND,IDC_COMBO1));
		combo.AddItem(T("Item1"));
		combo.AddItem(T("Item2"));
		combo.AddItem(T("Item3"));
		combo.AddItem(T("Item4"));
		combo.SelectItem(0);

		SetText(T("RFC Subclassed Dialog & Controls"));

		icon.LoadFromResource(IDI_ICON1);
		SetIcon(&icon);

		CenterScreen();
	}

	void OnButtonPress(KButton *button)
	{
		if(button==&btn1)
		{
			MessageBox(compHWND,txt.GetText(),L"yow...",0);
		}
		else if(button==&btn2)
		{
			OnClose();
		}
	}
};


class ExampleApp : KApplication
{
public:
	int Main(KString **argv,int argc)
	{
		ExampleWindow wnd;

		HotPlugAndRunDialogBox(IDD_DIALOG1,0,&wnd);

		return 0;
	}
};

START_RFC_APPLICATION(ExampleApp)
